# Fonctions pour l’analogie numérique

Ce paquetage offre deux fonctions pour:

* le calcul des puissances analogiques (et des ordonnancements)
* la résolution d’équations analogiques numériques.

# Installation

Renommez `numerical-analogy-master` en `num_nlg` et installez au moyen de la commande:

```shell
> pip install num_nlg/
```

# Calcul de la puissance analogique pour les analogies entre nombres réels positifs non nuls.

**Théorème :**
pour tout quadruplet de nombres réels positifs non nuls, classés par ordre croissant,
il existe une analogie numérique unique entre ces nombres.
```math
\forall (a, b, c, d) \in \left(\mathbb{R}_+^*\right)^4,\; a < b < c <d,\;\;
\exists! p \in \mathbb{R} \;/\; a:b::^p:c:d
```

**Définition :**
Une analogie d'ordre $`p`$ existe entre quatre nombres lorsque
la moyenne généralisée en $`p`$ des extrêmes
est égale à
la moyenne généralisée en $`p`$ des moyennes.
```math
m_p(a, d) = m_p(b, c)
```
où
```math
m_p(a, d) = \lim_{r \rightarrow p} \left( \dfrac{1}{2} (a^r + d^r) \right)^{1/r}
```

**Objet de cette bibliothèque :**
Cette bibliothèque implante le calcul d’un tel $`p`$ étant donné un quadruplet $`(a, b, c, d)`$.
Elle prend également en charge les cas d'égalité,
où $`p`$ est égal à $`-\infty`$ ou $`+\infty`$
ou
où $`p`$ n'est pas unique ($`p`$ balaie tout $`\mathbb{R} \cup \{ -\infty, +\infty \}`$).
