#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from setuptools import setup, Extension, find_packages

setup(name = 'num_nlg',
#    version = '1.0', # Non-null positive real number terms only. (Different library with different name.) 
#    version = '1.1', # + Orderings in C.
#    version = '1.2', # + Simplified interface: one function only for orderings and powers. 
#    version = '1.3', # + All positive terms, including zero.
#    version = '1.4', # + Function in C for solving equations.
#    version = '1.4.1', # Fixed bug in ordering. Thanks to Jakub Pilimon.
    version = '1.4.2', # Fixed bug on infinite powers. Thanks to Jakub Pilimon.
    description = 'Numerical analogy on positive real numbers',
    licence = 'Not free for commercial use.',
    author = 'Yves Lepage',
    author_email = 'yves.lepage@waseda.jp',
    ext_modules =   [Extension('_num_nlg',
                        sources = ['num_nlg.i', 'num_nlg.c'],
                    )],
    packages= find_packages(),
)
